Name: kmess
Version: 2.0.4
Release: 1%{?dist}
Summary: Messaging client for MSN
Group: Applications/Internet
License: GPLv2+

URL: http://www.kmess.org/
Source0: http://downloads.sourceforge.net/kmess/kmess-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel >= 4.2
BuildRequires:  cmake
BuildRequires:  qca2-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  qca-ossl
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  giflib-devel

# removed konqueror integration till the bugs are worked out
#BuildRequires:  kdebase-devel

Requires: qca-ossl

%description
KMess is an alternative MSN Messenger chat client for Linux. 
It allows Linux users to chat with friends who use MSN 
Messenger in Windows or Mac OS. The strength of KMess 
is it's integration with the KDE desktop environment, 
focus on MSN Messenger specific features and an easy-to-use 
interface. 

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

touch kmess.lang
%find_lang kmess --with-kde || echo "NOTICE: translations missing!"


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kmess.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files -f kmess.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README
%{_kde4_configdir}/kmesschatstyles.knsrc
%{_kde4_bindir}/kmess
%{_kde4_datadir}/applications/kde4/kmess.desktop
%{_kde4_datadir}/emoticons/KMess-new/
%{_kde4_appsdir}/kmess/
%{_kde4_iconsdir}/hicolor/*/*/kmess.*
%{_kde4_datadir}/sounds/kmess*


%changelog
* Wed Oct 13 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.4-1
- Added a small toggle button on the contact list to quickly enable/disable the "Now Listening" feature.
- Implemented the new KDE4 system tray specification.
- Added ability to drag-and-drop ink drawings from the conversation into the ink editor in order to be edited again.
- Fixed bug which caused KMess to fail to connect, instead giving an "Invalid Command Parameter" error.
- Fixed bug which caused the user's display picture to be reset upon login.
- Fixed bug where status was not changed from Idle upon wake up from sleep.
- Updated many translations.
- And various other smaller updates and fixes...

* Sat Jun 12 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.3-1
- New upstream release

* Sat Jan 30 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.2-1
- New upstream release

* Fri Jan 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.0-3
- Source0: use full URL
- drop explict Requires: qca2
- %%files: fix unowned dirs
- %%check: desktop-file-validate

* Wed Jul 29 2009 Steven M. Parrish <smparrish@gmail.com> - 2.0-2
- Correct Summary

* Sun Jul 26 2009 Steven M. Parrish <smparrish@gmail.com> - 2.0-1
- 1st build of official 2.0 release

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-4
- Fixing meta information errors

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-3
- Adding qca-ossl as dependency

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-2
- Fixing some minor mistakes of the meta informations

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-1
- Initial version
